require 'helper'

class Bacon::Context
  include Olelo::Templates
end

describe 'Olelo::Templates' do
  before do
    Olelo::Templates.enable_caching
    Olelo::Templates.loader = proc do |name|
      Olelo::VirtualFS::Embedded.new(__FILE__).read(name)
    end
  end

  after do
    Olelo::Templates.cache.clear
  end

  it 'should have #render' do
    render(:test, locals: {text: 'Hello, World!'}).should.equal "<h1>Hello, World!</h1>"
    Olelo::Templates.cache.size.should.equal 1
  end
end

__END__

@@ test.slim  
h1= text

